Subject: Re: redo-stamp

From: spacefrogg <[email-masked]>
Date: Wed, 02 Apr 2025 12:54:39 +0200

I agree with Sergey's assessment.

> It adds unnecessary complications to the out-of-date decision code.
> redo-stamp command was left in goredo only to be able to write targets
> that have to have redo-stamp-hack and be run under apenwarr/redo too.

I want to add one thing, though. `redo-stamp` does add one small 
convenience.
It allows you to create the hash over *some* data that describes the 
identity of your target,
while using the original output for further computation. This makes 
working with noisy data
more convenient (e.g. time stamped). But I grant you that this is a 
small convenience
with the potential of confusing tool chain users down the line.

–Michael